Skip to main content
`Ctrl`+`K`

# PetscMallocLogRequestedSizeGet

Whether to log the requested or aligned memory size

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocLogRequestedSizeGet(PetscBool *flg)

Not Collective

## Output Parameter

- flg - `PETSC_TRUE` if we log the requested memory size

## See Also

`PetscMallocLogRequestedSizeSet()`, `PetscMallocViewSet()`, `PetscMalloc()`, `PetscFree()`

## Level

developer

## Location

src/sys/memory/mtr.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages